Subject: Re: bug#67953: 30.0.50; ls-lisp messes up columns

From: Eli Zaretskii <[email-masked]>
Date: Sat, 23 Dec 2023 13:05:20 +0200

> From: Stefan Monnier <[email-masked]>
> Cc: [email-masked]
> Date: Fri, 22 Dec 2023 10:31:07 -0500
> 
> > The simple kludge below, which simply prevents it from realigning the
> > first column of data, seems to fix it here.  WDYT?
> 
> Looks OK to me.  I'd recommend we add a comment about this (zerop
> curcol) test explaining why the other branch mishandles this
> case (or mentioning that we don't know why).

Done.  I decided to install this on master, since this is a very old
problem (I can see it in Emacs 26), and the situations where it rears
its ugly head are quite rare.

Closing.